﻿<AML>
 <Item type="Method" id="F7997861880546E198ED140657D7398F" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_account_Setaccountcode
Created By		:		SolidCAD
Creation Date:			2018-10-25
Description:
	When click Account in Bill Received,bind GL Code and GL Description automatically.
	
Hooks:
	Type:	Forn : pop_purchase_invoice
    Event:	acc_account ( onChange )

Revisions:
	Rev Date		Modified By			Description
	2018-03-30		Chan			Set Account Code for allocation with same gl code
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();

function getInputByName(inputName) {
    var allFields = document.getElementsByName(inputName);
    var requiredField;
    for (var i = 0; i < allFields.length; i++) {
        if (allFields[i].tagName.toUpperCase() == "INPUT") {
            requiredField = allFields[i];
        }
    }
    return requiredField;
}

var keyed_name = getInputByName("acc_account").value;
var acc_accountdetail_code = myInnovator.newItem("acc_AccountDetails", "get");
acc_accountdetail_code.setProperty("acc_accountdetail_name", keyed_name);
acc_accountdetail_code.setPropertyCondition("acc_accountdetail_name", "eq");
var acc_accountdetail_code_result = acc_accountdetail_code.apply();
var acc_accountdetail_code_count = acc_accountdetail_code_result.getItemCount();
if (acc_accountdetail_code_count > 0) {
    var code = acc_accountdetail_code_result.getItemByIndex(0);
    var acc_accountdetail_code = code.getProperty("acc_accountdetail_code", "");
    var acc_accountdetail_name = code.getProperty("acc_accountdetail_name", "");
    var acc_gl_code = acc_accountdetail_code + "|" + acc_accountdetail_name;
    handleItemChange("acc_gl_code", acc_accountdetail_code);
    handleItemChange("acc_gl_desc", acc_accountdetail_name);
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_account_Setaccountcode</name>
 </Item>
</AML>